Font Path Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Font Path Functions
Evas » Canvas Functions » Font Functions

Functions that edit the paths being used to load fonts. More...

## Functions
EVAS_API void | evas_font_path_global_clear (void)
| Removes all font paths loaded into memory by evas_font_path_app_* APIs for the application.
EVAS_API void | evas_font_path_global_append (const char *path)
| Appends a font path to the list of font paths used by the application.
EVAS_API void | evas_font_path_global_prepend (const char *path)
| Prepends a font path to the list of font paths used by the application.
EVAS_API const Eina_List * | evas_font_path_global_list (void)
| Retrieves the list of font paths used by the application.

## Detailed Description

Functions that edit the paths being used to load fonts.

## Function Documentation

## ◆ evas_font_path_global_clear()

EVAS_API void evas_font_path_global_clear | ( | void |  | ) |

Removes all font paths loaded into memory by evas_font_path_app_* APIs for the application.

Since
  1.9

References _Eina_List::data, eina_list_remove(), and eina_stringshare_del().

Referenced by evas_shutdown().

## ◆ evas_font_path_global_append()

EVAS_API void evas_font_path_global_append | ( | const char * | path | ) |

Appends a font path to the list of font paths used by the application.

Parameters

  path | The new font path.

Since
  1.9

References eina_list_append(), and eina_stringshare_add().

## ◆ evas_font_path_global_prepend()

EVAS_API void evas_font_path_global_prepend | ( | const char * | path | ) |

Prepends a font path to the list of font paths used by the application.

Parameters

  path | The new font path.

Since
  1.9

References eina_list_prepend(), and eina_stringshare_add().

## ◆ evas_font_path_global_list()

EVAS_API const Eina_List * evas_font_path_global_list | ( | void |  | ) |

Retrieves the list of font paths used by the application.

Returns
  The list of font paths used.

Since
  1.9